Subject: [Tsvwg] window shrinking

From: <[email-masked]>
Date: Fri, 7 Nov 2008 09:18:21 +0100

Hi,

I am wondering to which extend window shrinking 
is becoming a defacto standard. And if so, then in which form.

I am a complete newbie here, but I know of load control
solutions where window shrinking towards peer 
is used as a last resort in memory overload situations
(memory over commitment). 

The desired behavior here would be for the peer to stop
transmitting - and retransmitting - packets outside
the shrunk window. This even in situations where the window
is abruptly shrunk to zero.

As far as I know, this behavior is not described in the standards,
though
some guidelines are given about "being tolerant". Also I have heard
about
implementations, which are tolerant to the extend that they shrink the
window
as far as down to the last transmitted packet (which may still be
outside the
shrunk window announced by peer).

I am very interested in information on how this issue is considered from
the standards community perspective as well as what the current status
is
in this respect in the implementations "out-there", TCP as well as SCTP.

Perhaps somebody would like to comment ?:-)

Thanks,
Karen

---

From: Bob Braden <[email-masked]>
Date: Fri, 07 Nov 2008 11:46:49 -0800

>some guidelines are given about "being tolerant".

See RFC 1122 section 4.2.2.16.

Bob Braden